Introduction
 Top Next

Thank you for using FileHamster, the best, most versatile freeware file backup solution on the market. FileHamster is created by Mogware, a developer of quality tools for professional and hobbyist users alike.

What is FileHamster?
FileHamster is a simple to use application that backs up your files as you work.

Anyone who uses a computer regularly has experienced the frustration of losing work. Whether your file becomes corrupt, is accidentally deleted, or you inadvertently saved over a good file, you know the pain. There are methods for dealing with these problems that include special naming conventions, archiving a backup to a zip drive, or moving files to a different folder, but these solutions are archaic compared to what FileHamster offers. Even worse, they all disrupt your workflow.

File

Hamster presents a much better way.

It is very simple to use. Tell FileHamster which directory or file to watch and get back to work. Every time you save, rest easy knowing you’re not losing any of your precious work. In the background, FileHamster automatically detects that your file has been saved and creates a revision of it. In addition, you have the ability to make notes each time you save to help you later identify a specific file, or use those notes to see a detailed account of the work you've done on a particular project.

Mogware also provides a powerful plug-in architecture that enhances FileHamster’s functionality. Plugins are freely downloadable here , including a zip plug-in for saving your revisions in a more compact form, and more.

FileHamster is simple for beginners, but customizable for more advanced users. Put archaic methods where they belong, in the past, and move forward with FileHamster!


FileHamster +Plus
 Previous Top Next

FileHamster will always be a free backup utility, however it will no longer receive new features. We will still give support and improvements on its proper functioning but it will not see any expansion from what it does right now.

FileHamster +Plus is the program that will see all of our growth and expansion efforts. Any new features will be available only in FileHamster +Plus. The first of these new features are:

WatchTree filters - This is cool because you can filter out all the folders or types of files that you do not want to view in the watch tree. For example if you are only working with photoshop documents you can set a document filter for .psd files and it will only display files with .psd in their name. You can also customize a list of preset filters.

WatchTree enhancements - These are just general improvements in how the tree view functions.

Enhanced network and removable drive support - A great example of this is, if you want to run FileHamster from an external drive and keep your revisions on it, now you can. This goes hand in hand with the next feature on the list.

Offline libraries - If you remove a drive that has a library on it, FileHamster will mark that library in grey to let you know that it is offline. As soon as the drive is connected again FileHamster will display it normally.

Open With... - If you want to open a file with a program other than the default windows program that is set for it, the Open With menu item is the way to do it. For example, if you like to view images with Irfanview or windows picture and fax viewer, but you want to edit them with Photoshop, in the "Open With" Option you can choose Photoshop. Thus, "Open" will work with the default program and "Open With" works for any program you want.

Full UNC support - UNC paths are the address to a shared folder on your network. They are written like so: \\CompName\Folder . Freehamster doesn't support using these paths, but +Plus does.

Adjust SubFolder properties within a watch - Previously, options could only be set on libraries, watches and documents. Now each subfolder within a directory watch can be set to revision differently using the options.

Turn off Main FileHamster Banner - This is an option in preferences that will free up more working room in FileHamster

Drag and Drop File Management - If you drag a file or folder to a library it will create a watch in that library. Dragging a file or folder to a specific location in a watch in the watch tree window will copy that file to that location. Dragging a file out of FileHamster to a windows explorer window or your desktop will make another copy of the file in that location. Dragging a file from FileHamster to a running program will open the file with that program.

View Unrevisioned Items - Items that are in your watch folder but have no revisions will appear greyed out in the watch tree window until they have a revision. You can turn this feature on and off on the watch toolbar.

FileHamster +Plus only costs $19.95 and includes all of these features and any other improvements made to Filehamster in the future. Upgrades between major versions (2.0, 3.0 etc.) will require a purchase at a reasonable upgrade price. Go here to download it now.


Supported Applications
FileHamster has been built to be flexible enough to work with almost any application's saving schemes, but there are occasionally exceptions. Below is a list of applications that we have tested with and have had good success.

· Autodesk Maya
· Autodesk 3D Studio Max
· Adobe Photoshop
· Adobe Premiere Pro
· Adobe Illustrator
· Adobe Audition
· Newtek Lightwave
· Microsoft Word
· Microsoft Excel
· Microsoft Publisher
· Macromedia Dreamweaver
· Macromedia Flash

And many more...


Add-ons

Plugins
FileHamster has an extensive plugin architecture, allowing the product to be expanded well beyond it's base functionality by simply downloading a new plugin. There are a handful of plugins freely downloadable on the FileHamster website , with some more powerful ones coming that will be for sale in the future.

Some of the plugins we offer at this point include:

· Zip compression to help reduce space required to store backups
· Diff plugin that allows you to use your favorite diff utility to compare files
· Notes window that provides a more streamlined method of adding comments to files.
· Log Window that provides feedback as to what FileHamster is doing while it works.
· MOG plugin that enables any application to work with Mogware's flagship product, transMOGrifier .


Glossary of Terms
Backup Window – The main window.
Revision – A version of your file that has been saved in the library.
Backup Library – This is the location for the storage of your backups.
Directory Watch – This is an entire folder that has files to be revisioned by FileHamster
File Watch – This is a single file that FileHamster will make revisions of as you make changes.
Watch tree – A window in which you can see the file structure of a watch mapped out with revisions listed under individual documents.
Revision List – A window in which you can view only revisions of documents selected in the watch tree.
Plugin – A file that adds functionality to FileHamster. It has an extension of ".DLL" and is placed in the plugins directory located where FileHamster is installed.
Bubble – A small window that pops up on the right side of your monitor when FileHamster backs up a file. This is used to notify the user that the program is working, but also gives the user a quick way to interact with FileHamster to do common actions such as commenting or protecting a file.
Protect – This protects a revision of a file so that it will never be removed by any of the auto-cleanup features present in FileHamster.


System Requirements
In order to use FileHamster, you must have .NET Framework 2.0 installed. It has been tested with Windows 2000, XP, and Vista.

We are aware of some interface issues that exist on the 64-bit versions of Windows XP and Vista and are currently working on solving them.


Credits
FileHamster is completely developed and owned by Mogware, Inc, a private company focused on providing solutions for game developers.

To find out more about our vision and our main application, MOG, please come visit us at http://www.mogware.com .


Main Window

Main Window

The Main Window is where you control everything that goes on with FileHamster. Some of the most common things you will do here are:

· Set up a Library
· Set up directories or files to be watched
· Edit watch options
· View file history
· Restore previous versions
· Interact with Plugins


System Tray

System Tray

Anytime FileHamster is running, the FileHamster icon will show in the system tray. This serves as a shortcut to some of the most common actions you perform with FileHamster.

Actions

· Recent Documents - Displays a list of the most recently-modified documents. You can click on any of the revisions to open them up. Comments are also visible here while viewing the revisions. The number of files to list here can be set in the Preferences .
· Add File... - Quick way to add a file watch
· Add Directory... - Quick way to add a directory watch
· Trigger delayed revisions - This is related to the " TimeDelayBetweenRevisions " setting. Clicking on this will cause FileHamster to check and see if there are any files waiting to be backed up. If there are, it will cause the timers to expire and all pending files will be backed up immediately.
· Show Main Window... - Opens FileHamster's main window. It can also be accessed simply by double-clicking the icon in the system tray.
· Preferences - This opens the preferences window that can also be accessed from the options menu.
· Pause All FileHamster Events - Turns FileHamster to a "paused" state so that it stops backing up files.
· Quit - This will close FileHamster so that and it will not revision anything.


Bubble

Bubbles
When FileHamster Revisions files it lets you know by popping out a notification bubble. On the bubble there are buttons that allow you to take different actions on your revision.

· Comment - This opens the comment window.
· Protect - This will protect this particular revision.
· [image] File - This will ignore this file in the future.
· [image] FileType - This ignores all the files of this type contained in your watch (Not the entire library)

To modify settings for bubbles, such as size, length of time to stay visible, and style of animation, go to the Option Menu -> Preferences and choose the Bubbles section.

There are three sizes that you can choose from in the options menu under preferences.

· Large - Provides the file path and name. With a longer path the bubble is longer

· Medium - Tells you the file name.

· Small - Only provides notification of a revision and action buttons. (Note the buttons are only labeled with icons)


Toolbars
Toolbars

Toolbars give you faster ways to perform common tasks in FileHamster. They are only available in FileHamster +Plus .


Filter Toolbar

This toolbar allows you to filter which files are viewed in the watch tree view. Its functions are as follows:

The four dots on the far left allow you to move the location of the toolbar by clicking and dragging to the new location.

The orange square to the right of the four dots enables and disables the filters.

The preset filters selection box allows you to save and name filters you have set by clicking the save icon to the right of the selection box. Saved filters can be deleted with the icon with the red X next to the save button.

Typing in the Watch Filter field will only display watches containing the specified text.

Typing in the Document Filter field will only display documents containing the specified text. The documents will still be in their respective folders in the tree view.

Clicking the X on the right will clear all filters.


Watch Toolbar

This toolbar allows you to add a new file or directory watch to the library you created first in FileHamster.


Document Toolbar

This toolbar gives you quick access to some of the options most commonly used on documents. The actions of the icons from left to right are as follows:

Open most current working version - Opens the main working version of your file even if a revision is selected.

Open - Opens the selected item in the main window.

Restore Revision - Restores a revision to be the most current working version.

Explore - Opens the location of the selected item in windows explorer.

Delete - Deletes the selected item.

If a watch or folder is selected, FileHamster will ask if you want to perform one of these actions all of the files found directly in that folder or watch.


Setting Up A Library
When you first start up FileHamster, you are prompted to set up a Library. This is where all the revisions, or backups, will be stored.

The Library, by default, will be placed at C:\FH.Backups, but may be put anywhere on your network. It even may be set up on a removable media source, such as a USB external drive, but remember that if the drive is turned off or unplugged, FileHamster will not be able to function properly and all changes that occurr during that time will not be retained.

Once this is set up, you can begin to tell FileHamster what files you would like to watch .


Adding Watches
Once your Library is set up, you now need to tell FileHamster what files you want it to watch. There are two basic types of watch: File watch , and Directory Watch . Since setup of these is mostly the same, we will just describe the process of setting up a directory to be watched.

To begin, either click on the File Menu and choose "Add Directory..." from the drop down, or right-click on the Library and choose "Add Directory Watch..." This will bring up a browse dialog. Choose a location and hit OK.

For the sake of simplicity, just leave it at the default setting to watch everything and hit OK. To learn more about the different methods of watching directories, please go here .

You will be prompted about creating an initial revision. This enables you to set up a starting point for your files. If you choose not to do an initial revision for any files, please note that none of your files are backed up yet. In most cases we recommend that you allow FileHamster to create this initial revision for all the files. However, it could take a substantial amount of time if you have a lot of files or some of them are very large. Also, you may not always want to create a backup of every single file because a lot of hard drive space might needlessly be taken up.

Setup is now complete! Anytime you modify or create a file in this directory, FileHamster will now detect the changes and back it up. Your data is now secure!


Edit Watch Options
While FileHamster's purpose to back up your files as you work appears simple, there is quite a bit of complexity that is necessary. You need the ability to control specific features, such as how many revisions to keep, what files to watch, which files to ignore, how often to revision, and much more.

This advanced functionality is presented in the Watch Options Window. You get to this window by right-clicking on the watch directory or file you wish to modify and selecting "Options..." from the context menu.

The Option Window is covered in more detail here .

Probably the most common actions you will perform in this window are:

· Set the maximum number of revisions to keep
· Set time delay between revisions
· Set a plugin, such as the Zip Plugin, to be used on the watch
· Modify the watch Description


ViewFileHistory
Backing up your file every time you save is a great thing, but by itself only provides safety. The truth is, however, that many users of FileHamster are looking for more than just safety. They want to have specific points in the process of creation where they can jump back to if the need arises. In order to accomplish this, we have utilized a system for tracking comments.

Looking at the image above, you can see a number of revisions, each with comments. By making it a point to make comments on revisions, you can easily go back later to see a history of the file. You can use this history to see how long it took to complete a project, or even use it to see which version you want to go back to if you have discovered an issue.

With the ability to comment comes the question of when you should comment. If you comment every single time you save, it turns into a chore that you will probably soon stop doing. This is especially true if you save quite often. Generally speaking, it might be preferable to comment only on the important revisions. As you work on a project and save often, at some point you may hit a milestone of sorts and will want to mark that point in the development process. Entering a comment at that point will help that version stand out from the rest. You can even then check the option in the comment window to Protect that revision , ensuring it never gets deleted by any of the auto-cleaning methods .


Restore Previous Versions
Restoring previous versions of your file is very simple. In the Watch Tree (found in the Main Window) just right-click on the good revision, choose restore, and you are done.

Note that when you restore, no work is lost. As you can see from the image below, the version I restored still exists, as does the one that was newer than the one we restored. Restoring a previous version causes the file to be updated and a new revision to be created. You can restore any version you want and suffer no loss of data.


Interact With Plugins
Plugin options get interacted with the same way as you work with Library, Watch, or File options. Right-click on the desired item and choose "Options..."

When the Options Window comes up, select one of the plugins in the left pane of the window and the options will show in the right pane.


AutoClean
By default, every time you save, a backup will be made of your file. There is a way to prevent FileHamster from backing up each time, which is outlined here . In this section, however, we will cover methods of setting FileHamster to clean up the Library automatically.

The options for auto-cleaning are found under "options" in the right-click menu for a Library, Watch, or File listed in the Watch Tree.

MaxRevisions

A good practice is to limit the number of revisions you will keep per file. It is unlikely that if you save 100 times, you will want to keep all 100 revisions. Turning this on to a value such as 10 means that only the 10 most recent saves will be preserved. 0 (zero) is the default value, meaning all revisions will be stored.

PreserveTimeSpan

This option tells FileHamstesr the amount of time to keep a particular revision. When that timespan has been exceeded and a new revision gets made, FileHamster will automatically delete that revision.

Protecting Revisions

Both these methods of automatically cleaning out unwanted revisions are great, but are insufficient by themselves. A method of protecting important revisions is necessary. We do this by allowing users to "Protect" revisions. This is explained in more detail here .


Limit Backups
In the previous section, we outlined how to enable FileHamster's auto-cleaning features . Here, we will discuss limiting how many revisions get created in the first place.

To set a time delay between revisions, right-click on the watch or the Library that you would like to set this on and click on "Options...".

Once the Options Window opens, you will find an option called "TimeDelayBetweenRevisions" near the top. (This is not to be confused with " Delay_CreateRevision " that is just below this option.)

By default, the time delay is set to 00:00:00 (no delay), but as you can see in the image, it has been changed to 00:05:00. This will be further explained below, but that means that the delay is set to 5 minutes.

How Does The Time Delay Work?
In the example above, the time delay is set to 5 minutes. This means that when a file is saved, it creates a revision and sets a timer to start at that point. No matter how many times the file is saved while the timer is running, there will always be at least 5 minutes between revisions.

Here are some special things to take note of:

· This feature is quite safe. If you save your file 5 times within the first 3 minutes of the timer and then don't save the file again while the timer is running, your last save will still get picked up. You could stop working on the document and begin working on a new one, or even just leave your computer to do something else. Once the timer has finished its countdown, FileHamster looks to see if there are any revisions waiting to be resolved. If you did save at some earlier point, it will then create a revision of the last saved state. You will not lose data. If you prematurely shut FileHamster down (or your computer), any pending revisions will then be caught and taken care of before FileHamster shuts down.
· Are you wondering what to do if you want FileHamster to make a revision before the timer is done counting down? It's an important question that has a simple answer. In the System Tray you will notice the FileHamster icon. Right-click on that icon and click on "Trigger delayed revisions". This will cause the file to be backed up and give you the opportunity to add a comment.


Protecting Revisions
Why protect a revision?
The reason to protect a revision is that it is then exempt from any auto-cleaning features you may have enabled. If you want to keep your Library nice and tidy, set the max number of revisions to a low number, such as 5, and then make sure that as you work, you are marking important revisions as protected.

The protected file does not affect the number of revisions you are keeping. As can be seen in the screenshot below, there are 5 unprotected revisions, and one protected, because the max number of revisions is set to 5. If a file is protected, it will never be deleted. In fact, if you try to delete a protected file, it requires you to unprotect it before you do proceed.

How do I protect a revision?
There are three ways to protect a revision.

First, from within the Watch Tree. Right-click on anything and choose "Protect" from the context menu. (This can also be done in the Revision List) We say "anything" because if you select a Library and protect it, every revision for every file in that Library will be protected. If you choose a watch, only files within that watch will have their revisions protected, choosing a specific file will protect all revisions of that file, and choosing just a revision will cause only that specific revision to be protected.

Second, click on the Protect button in the bubble that pops up when you save your file.

Third, make sure the option "Protect this revision" is checked when adding a comment

Once a revision has been protected, it will have a special identifying icon next to it in the Watch Tree.


Max FileSize
A handy option in FileHamster is "MaxSize".

Found in the Options Window accessed through the right-click menu in the Watch Tree, you can tell FileHamster to not back up any files that are larger than a specified size (in MegaBytes). Setting this value to a reasonable number, such as 100MB, might prevent you from needlessly backing up files that will quickly fill your drive after a few revisions have been made.

This has been found to be especially handy with video editors and when authoring DVDs.


Add File

With this option you can add a single file to be watched by FileHamster. Just browse to the location of the document you wish to keep versions of and select it.

This can also be accomplished by dragging the individual file into the watch tree in the FileHamster main window or by using the context menus found on the FileHamster icon in the system tray or in the Watch Tree.


Add Directory

When you go to Add a Directory to be watched, you are given the opportunity to choose a few different methods of watching files.

Watch Everything
By default, FileHamster will watch everything. Once you set it to watch a folder you are done. The files in that folder will all be backed up with no more thought or attention needed.

Note: "Watch Everything" starts out backing everything up, but gives you the power to easily exclude files or file types as you work. Go here to learn how with the bubble, and here to see how to do it in the Main Window.

Watch this type or pattern:
It may be that as you set up a watch for a project, you only want to watch a specific list of file types. For instance, the directory may contain text files, varying image outputs, and Photoshop documents (PSD), but you may only want to have the PSDs backed up. Placing *.PSD in the field limits it to just that file type, but you can also have a series of filetypes, separated by commas, such as *.PSD,*.mov,*.jpg.

Ask me as I go
This was put in place to enable ultimate control over what files or file types to watch as you work. This starts you out with a clean slate. No files are set to be watched, none are set to be ignored. As you modify or create a new file in that directory, you will see the following popup:

You have the choice to set it up to watch that specific file or all files of that type. Conversely, you can choose to ignore that specific file or ignore all files of that type.

As you work over time, you will see this popup less often because the filtering system is constantly getting trained by you.

Advanced Options
There are many more options that can be configured in the watch, from the number of revisions to keep to providing a name for the watch. Those can be modified later from the Watch Tree, or can be set up here as you create the watch.

To learn more about what each setting means, please see the Reference Section of this Help File.


Diff

Diff Plugin
Viewing differences in revisions you have made is the main function of the Diff Plugin. Third party software is required to be able to diff two revisions. Some of the free diff programs that are known to work with FileHamster are:

· Tortoise IDiff (part of the TortoiseSVN tools)
· DiffMerge
· WinMerge
· ImageDiff
· ExamDiff
· CSDiff

Your ability to view types of files depends on which program you are using.

Options

Generally, the only option you need to set is the path to the Diff utility. The other fields are fine how they are, except for when using Tortoise IDiff. With IDiff, you need to follow the instructions found here .


MOG

MOG Plugin
This plugin ties FileHamster to the TransMOGrifier or MOG for short. With this enabled you can import files watched by hamster directly into MOG each time you make a new revision.


Notes

Notes Plugin
This will provide you with the notes window that can be opened from View in the Menu Bar. The notes window allows you to type in comments as you edit your files and these comments will be added to your revision the next time you save. By default the notes window will clear every time you make a revision, however you can change it so that you must clear the notes when you choose.


Log Window
This window will list actions that FileHamster is taking. If something didn't happen the way it should have you can check the log window to see what actions FileHamster did take. It has four filter levels from High to Off. High level actually doesn't filter any actions from being listed. Off filter level will not list any events.


Zip

Zip Plugin
Storing revisions of all your files can take up quite a bit of space. With the zip plugin you can reduce the amount of space used by these revisions.

You can enable zipping of revisions in the context menu for a watch in the watch tree. Just right click your watch or document, choose options from the menu and change the ZipRevisions option for the zip plugin to True. You may also select your preferred type of compression.


Report

Report Plugin
With the Report Plugin, you can select any level of the watch tree and generate a report for any day or date range, viewing all revisions or just what is newest. Once the report has been generated, you can perform a number of actions, including restore, delete or view any of those revisions. The Report Plugin costs $9.95 and can be downloaded here .


Menu Bar
The Menu Bar is located along the top of FileHamster's Main Window, as seen below.


File


Add File...
With this option you can add a single file to be watched by FileHamster. Just browse to the location of the document you wish to keep versions of and select it.

This can also be accomplished by dragging the individual file into the watch tree in the FileHamster main window or by following the context menu found on the FileHamster icon in the system tray.


Add Directory...
This allows you to watch all of the files located in a specific folder. Just browse to the folder you wish to add and select it. Dragging the folder into the watch tree window section of the FileHamster main window is another way to do this.


Add Backup Library
Choose this option to add a new location for backing up files and folders. Once you have a new library you must add files and folders for the library to be populated. You can add the same watches that are in another library if you want to save multiple copies in different locations, or just use separate libraries to keep backups of different files separated.


Close Backup Window
Minimizes FileHamster to the system tray.


Quit FileHamster
Closes FileHamster completely.


View

View Menu

Under the View Menu you will find a list of windows that can be opened, as well as the ability to refresh your backup window to ensure the data you are seeing is all up to date. This list will vary depending on what plugins you have installed.

Click on the topics to learn more.


Watch Tree

This is the main view window in FileHamster that allows you to expand the libraries, folders and files down to individual revisions.

One limitation of this window is that you can not simultaneously select multiple files. To select multiple files at once, use the Revision List .


Revision List

This window will show you a list of revisions contained in the folder or file selected in the watch tree window.

One key benefit of the Revision List is that you can select multiple files at once and perform actions on them, such as delete, protect, compress (with the zip plugin), etc.


Options

Options menu

Under the Options Menu you will find the Plugins window as well as the General Preferences.


Plugins

In this window you can change options for each plugin, as well as check for updates.

To perform any of these actions, you must right-click on a plugin, then choose the option from the context menu that appears.

· Unload - Turns off the plugin
· Don't Unload - Sets the plugin to not load by default next time FileHamster starts.
· Check for update - Will check on the web to see if an update is available for the selected plugin. If an update is found, it will be installed and then will automatically restart FileHamster so it can load the new plugin.

Note that you can multi-select plugins in this window and check for updates on all at once. This works well for checking for the updates, but due to the fact that FileHamster restarts each time a new plugin has been installed, rather than waiting until all plugins have been updated before restarting, you may need to do this multiple times until no updates are found anymore.


Preferences

General Preferences for FileHamster.

These are broken out into 3 sections: Startup, Bubble and Misc..

Startup

· Autostart FileHamster - Checking this will cause FileHamster to start automatically whenever your machine boots up.
· Auto check for updates at each launch - Will connect to the internet each time FileHamster launches, to check for program updates. *Note: plugins are not included in this check. For information on how to update plugins, please read this .
· Show backup window on launch - Controls whether or not the main application window (backup window) will show when FileHamster launches.
· Show FileHamster Quickstart on launch - Controls whether the Quickstart Guide should show on startup or not.


Help

Help Menu

Under the Help Menu are a number of items that can be of use.

Read the topics to learn more.


Contents

We have provided local documentation for FileHamster. This may or may not be as up-to-date as the online documentation found at http://wiki.mogware.com .


FileHamster Quickstart

The first time FileHamster runs after installation, you will be welcomed with this screen. You may choose to not show this on startup, but if you ever want to view it again, following this link will bring it up.

This window provides you with a simple introduction to FileHamster, as well as teaching you more advanced tips and tricks.


Read News

Periodically, when an update gets downloaded, we may bring you news about FileHamster or plugins related to it. When there is news, it will pop up in a window one time and then won't come back again. This link is where you go to if you ever want to see the news again.


FileHamster on the Web

This will take you to the FileHamster website.


FileHamster WIKI

To provide the most up-to-date information as we continue the process of documenting FileHamster, we are utilizing WIKI technology. We also invite users of the software to contribute here as their expertise increases.


FileHamster Forums

To discuss FileHamster with other users or talk to our support staff about ideas or issues, please visit the Forums.


Check for Updates

Run this to check for the latest released version of FileHamster. To check for updates on plugins, please follow this link .


About FileHamster

Tells you what version of FileHamster you are running.


Edit Menu
The Edit Menu is the context menu you see when your right-click anywhere in the Watch Window. Depending on what you have selected, you will find different options available.

Click on the topics to learn more.


Add File Watch...
With this option you can add a single file to be watched by FileHamster. Just browse to the location of the document you wish to keep versions of and select it.

This can also be accomplished by dragging the individual file into the watch tree in the main window or by following the context menu found on the FileHamster icon in the system tray.


Add Directory Watch...
This allows you to watch all of the files located in a specific folder. Just browse to the folder you wish to add and select it.

This can also be accomplished by dragging the folder into the watch tree in the main backup window or by following the context menu found on the FileHamster icon in the system tray.


Open
This will open the selected file with its default application. When a document is selected, you will get the current version of the document. If you select a revision, you will open up that specific version of the file.

This is a great way to grab components from an older state of the file and put them into the current, rather than restoring an old version.


Open With...
This will open your selected file with the program of your choice. If you like to view images in a standard image viewing application but you want to edit them with the image editing software of your choice, you can leave the image viewer as the default program in windows and set your editing program in the context menu of FileHamster.

This is only available in the +Plus version of FileHamster.


Explore
This will explore to the selected file or folder in Windows Explorer.


Restore
Makes the selected revision the current version of the file.

When a revision is restored, none of the newer revisions are lost. You will have two revisions that are identical to each other.


Protect
If protect is chosen on a revision it will protect only that revision from being deleted or expiring.

If protect is chosen on a file, folder or library in the watch tree it will protect all revisions contained in it at that moment.


Unprotect
If unprotect is chosen on a revision, it will unprotect only that revision so that it may be deleted or expire.

If unprotect is chosen on a file, folder or library in the watch tree it will unprotect all revisions contained in it.


Remove Unprotected
This will delete all the revisions under a file or folder that have not been protected by the user. You should only do this if you are absolutely sure that you do not need any of the unprotected revisions and that your most important revisions are protected .


Delete X...
Delete Library will remove a library, its watches and all the backup revisions stored in it.

Delete Watch removes only the selected watch and its revisions.

Delete Document will remove a file within a directory watch and its revisions.

Delete Revision removes only the selected revision.

All deleting is done by right-clicking the item you wish to remove and choosing delete, or by selecting the item and pressing the delete key.


Create Initial Revision
If a file in a watch has no backups yet, you can choose "Create Initial Revision" and it will make a first revision for you.

This will help you to have the very crucial "starting point" for your work saved. It may also be a good idea to Protect this initial revision.


Ignore this folder
This option will set FileHamster to not make backups for a subfolder of a directory watch and all of the files contained in it.


Ignore this file
This will set FileHamster to not revise the changes made to a specific file within a watch.

If you have previously ignored a file and wish to watch it again you can remove it from the list of ignored file patterns in the options for the watch it was in.


Ignore this file type
This will set FileHamster to ignore all files of a certain type within a watch.

If you have previously ignored a file type and wish to watch it again you can remove it from the list of ignored file patterns in the options for the watch it was in.


Options...
This will open the Options menu for the selected library or watch that gives you access to Core options and Plugin options for how revisions are made and what actions are taken when they are made.


Blackout
If you ever have a time when you want FileHamster to ignore changes to files in watches you can setup a blackout.

The options allow you to choose any day of the week that this blackout will begin or to disable your blackout.

Then you can set the number of hours that FileHamster will be blacked out for.

The last option will set what time the blackout should begin.


Blackout Day
This is the day you would like the Blackout to occur.


Blackout Duration
This is the period of time that you would like to have blacked out on the day that you have chosen. This is in hours and does not accept decimal values.


Blackout Time
This is the time of day that you would like the blackout to start. This is in HH:MM:SS format and uses military time.


Max Revisions
Having an application make backups constantly as you work brings safety to your data. With safety as the first priority, we chose to leave this option set to zero by default, meaning that we never automatically throw anything away. This can lead to a large amount of drive space being used, though, so we have provided this simple method for keeping your drive clean.

To use this auto-cleaning feature in FileHamster, simply set this value to something other than zero, such as 10, and FileHamster will automatically keep only the specified number of newest revisions.

To ensure that your important files are always preserved, we recommend you become familiar with the action of marking your revisions as "Protected." Marking a revision as protected means that it will never get deleted while FileHamster is doing automated purging of files.

See the section on Protecting Files to learn more.


Max Size
When working in a watch that has some very large files and other moderately sized files, you may want to save time and resources by not revisioning the very large file while still watching your other files. MaxSize allows you to limit the size of files to be revisioned.

The default setting is, of course, set to zero. The number set in this option is in MegaBytes. Setting this option will remove old revisions of files larger than the specified size.

To ensure that your important files are always preserved, we recommend you become familiar with the action of marking your revisions as "Protected." Marking a revision as protected means that it will never get deleted while FileHamster is doing automated purging of files.

See the section on Protecting Files to learn more.


Preserve Time Span
This will expire and remove revisions that are older than the amount of time you have set as your time span. This also doesn't have an effect on protected revisions. When set to 00:00:00 this will never expire old revisions. The format is HH:MM:SS. To set days, simply put the number of days and a period before the hours section. (Ex. 7.00:00:00 = 7 days)


Revision Storage Location
This will set the revisions to be stored in either the library or in the same location as the directory or document you re watching.


Show Bubble
This enables and disables the notification bubbles for this particular document or directory.


Show Comment Prompt
This will set the comment window to appear or not appear when a revision is made to the document or directory you have opened the options for.


Show Delete Revision Confirm
When a file is moved or deleted from its place in a watch FileHamster will, by default, prompt you to ask if you would like to also remove the revisions of that file from the library where they are stored. If you are moving or deleting a lot of files being able to turn off this prompt is a welcome feature. Simply set it to False and it will not prompt again on the library, watch, folder or file that it has been set to false on.


Show Size In Tool Tips
Shows the size of a document or directory upon mouseover in the watch tree window.


Time Delay Between Revisions
When set, this will only make revisions to your files after the selected amount of time. To always revision set it to 00:00:00. The format is also HH:MM:SS.

When the property "TimeDelayBetweenRevisions" is set to a value other than zero, FileHamster will always keep track of the last time you saved. Once the specified time period has expired, FileHamster checks to see if any files had been saved during that time. It will then back up the modified file(s) and begin the to count down all over again. This is done to guarantee that no work gets lost. If The system is shut down or FileHamster is manually closed, it runs this check automatically and backs up all pending files before it shuts down. Again, to ensure that no work is lost.


Delay_Create Revision
This is the minimum delay time before a revision is created after a change is made in the file. The default is 00:00:01.


Delay_Delete Document
This is the minimum delay time before a delete document event is processed.


Disable All Events
Disables all events for this particular item.


Event Style
From this you can choose the event style or schema for the item.


Ignore Change Event
This turns on and off the change event for this item.


Ignore Created Event
This turns on and off the created event for this item.


Ignore Delete Event
This turns on and off the delete event for this item.


Ignore Rename Event
This turns on and off the rename event for this item.


Internal Buffer Size
Increasing this number can help prevent the loss of events generated in large blocks of files.


Ask Me As I Go Prompt
When this is set to "True" it will ask you to specify if you want to revision a file type or just a specific file within a watch and it will add it to the WatchFilePatterns which are included in your watch.


Create Initial Version Detection
If you do not want to be asked to make initial versions of folders or watches when they are first added then set this to "False".


Ignore File Patterns
This is the list of files to ignore within the library, watch or folder that it is being set on.


Ignore Folders
This is the list of folders to ignore within the library, watch or folder that it is being set on.


Watch File Patterns
The list of specific files to watch.


Description
This is how your watch will appear in the watch tree view. By default this is left blank and the path to the watch is displayed in the watch tree.


Full File Name
This is just the full path and name of the location of the watch.


Is Directory Watch
If it is a directory watch it will say "True".


RevisionHiddenAndSystemFiles
When this is set to False it will not revision any system files or files that are set as hidden. When True it will pick them up.


Update Revisions On Startup
When you set this to "True", FileHamster will check to see if this item has had any changes made to it while FileHamster was not running.


Watch Include Subdirectories
If you do not want to watch subfolders of a directory watch set this to "False" for that watch. It is set to true by default so all subfolders will be included.


Description
A summarization of whatever you want to say about this library.


Location
Where this library is located.


Name
The name that the library will be displayed as in the watch tree view.


Plugin Options
 Previous Top
The window on the left of the Options box lists the different Plugins and selecting one of these plugins in the list will display the plugin options in the window on the right side of the Options.